package com.tykj.dev.device.library.service;

import com.tykj.dev.device.library.subject.domin.DeviceChange;

import java.util.List;

/**
 * @author dengdiyi
 */
public interface DeviceChangeService {

    DeviceChange add(DeviceChange deviceChange);

    DeviceChange getOne(Integer id);

    Integer getOldDeviceId(Integer newDeviceId);

    /**
     * @param newDeviceId 新装备id
     *                    获取所有以前的旧装备id列表
     */
    List<Integer> getAllFatherDevice(Integer newDeviceId);
}
